# Interface HandshakeResponse

public interface HandshakeResponse
Represents the HTTP response returned by the server during a WebSocket handshake.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SEC_WEBSOCKET_ACCEPT`
Name of the WebSocket accept HTTP header.

## Method Summary

Modifier and Type
Method
Description
`Map<String, List<String>>`
`getHeaders()`
Returns the HTTP headers from the handshake response.

## Field Details

### SEC_WEBSOCKET_ACCEPT

static final String SEC_WEBSOCKET_ACCEPT
Name of the WebSocket accept HTTP header.

See Also:
  - Constant Field Values

## Method Details

### getHeaders

Map<String, List<String>> getHeaders()
Returns the HTTP headers from the handshake response.

Returns:
  The HTTP headers